﻿using ABB.Robotics.Controllers;
using ABB.Robotics.Controllers.Discovery;
using ABB.Robotics.Controllers.EventLogDomain;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace abbLog
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                List<EventLogMessage> histMsgs = new List<EventLogMessage>();
                Controller[] controllers = entrance();
                for (int i = 0; i < controllers.Count(); i++)
                {
                    EventLog eventLog = controllers[i].EventLog;
                    foreach (EventLogCategory category in eventLog.GetCategories())
                    {
                        foreach (EventLogMessage msg in category.Messages)
                        {
                            histMsgs.Add(msg);
                        }
                        Console.WriteLine(controllers[i].SystemName+":"+histMsgs.Count);
                        histMsgs.Clear();
                    }
                }
            }
            catch (Exception e)
            {
                LogManager.LogFielPrefix = "ABBLogError";
                LogManager.WriteLog(LogFile.Error, e.ToString());
                throw;
            }
            Console.WriteLine("LOG File Path :"+LogManager.LogPath);
            Console.ReadLine();
        }

        public static Controller[] entrance()
        {
            NetworkScanner scanner = new NetworkScanner();
            ControllerInfo[] controllers = scanner.GetControllers();
            Controller[] controller = new Controller[controllers.Length];

            for (int i = 0; i < controllers.Length; i++)
            {
                ControllerInfo ci = controllers[i];
                controller[i] = new Controller(ci);
            }
            return controller;
        }
    }
}
